Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicFileChooserUI.AcceptAllFileFilter

    java.lang.Object
      |
      +--javax.swing.filechooser.FileFilter
            |
            +--javax.swing.plaf.basic.BasicFileChooserUI.AcceptAllFileFilter

Enclosing class:
  BasicFileChooserUI

protected class BasicFileChooserUI.AcceptAllFileFilter
extends FileFilter

Constructor Summary
`BasicFileChooserUI.AcceptAllFileFilter()`

Method Summary
`boolean` | `accept(File f)` Whether the given file is accepted by this filter.
`String` | `getDescription()` The description of this filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFileChooserUI.AcceptAllFileFilter

    public BasicFileChooserUI.AcceptAllFileFilter()

Method Detail

### accept

    public boolean accept(File f)

  Description copied from class: `FileFilter`
  Whether the given file is accepted by this filter.
  Overrides:
    `accept` in class `FileFilter`

### getDescription

    public String getDescription()

  Description copied from class: `FileFilter`
  The description of this filter. For example: "JPG and GIF Images"
  Overrides:
    `getDescription` in class `FileFilter`
  Following copied from class: `javax.swing.filechooser.FileFilter`
  See Also:
    `FileView.getName(java.io.File)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.